[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#342562: error: previous declaration of 'current_menu' was here

Package: kernel-source-2.6.8
Version: 2.6.8-16
Severity: important
Justification: fails to build from source

make-kpkg kernel-image against a just-fetched kernel-source-2.6.8 fails with:

cube-d:/usr/src/kernel-source-2.6.8-2.6.8# make-kpkg kernel-image
/usr/bin/make    \
                                 ARCH=ppc oldconfig
make[1]: Entering directory `/usr/src/kernel-source-2.6.8-2.6.8'
   HOSTCC  scripts/kconfig/mconf.o
scripts/kconfig/mconf.c:91: error: static declaration of 'current_menu' follows non-static declaration
scripts/kconfig/lkc.h:63: error: previous declaration of 'current_menu' was here
make[2]: ***
make[2]: ***
make[1]: *** [oldconfig] Error 2
make[1]: Leaving directory
make: *** [stamp-kernel-configure]
Error 2

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: powerpc (ppc)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.4.18-newpmac
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages kernel-source-2.6.8 depends on:
ii  binutils                      2.16.1-2   The GNU assembler, linker and bina
ii  bzip2                         1.0.2-11   high-quality block-sorting file co
ii  coreutils [fileutils]         5.2.1-2.1  The GNU core utilities
ii  fileutils                     5.2.1-2.1  The GNU file management utilities 

Versions of packages kernel-source-2.6.8 recommends:
ii  gcc                           4:4.0.2-1  The GNU C compiler
ii  libc6-dev [libc-dev]          2.3.5-8    GNU C Library: Development Librari
ii  make                          3.80-11    The GNU version of the "make" util

-- no debconf information

Reply to: